import * as React from 'react';
import Svg, {Path, SvgProps, Rect} from 'react-native-svg';

export const EyeCloseIcon = (props?: SvgProps) => (
  <Svg width="24" height="24" viewBox="0 0 24 24" fill="none" {...props}>
    <Rect width="24" height="24" rx="12" fill="#F3F3F3" />
    <Path
      d="M11.9297 13.9687C12.4518 13.9687 12.9526 13.7613 13.3218 13.3921C13.691 13.0229 13.8984 12.5221 13.8984 12C13.8984 11.9423 13.8958 11.8852 13.8909 11.8288L11.7585 13.9612C11.8149 13.9661 11.8719 13.9687 11.9297 13.9687ZM18.4463 5.91023L17.6953 5.16C17.669 5.13365 17.6332 5.11884 17.5959 5.11884C17.5586 5.11884 17.5229 5.13365 17.4965 5.16L15.5749 7.08217C14.5148 6.54041 13.3232 6.26953 12 6.26953C8.62149 6.26953 6.10079 8.0291 4.4379 11.5482C4.37106 11.6898 4.3364 11.8444 4.3364 12.0009C4.3364 12.1574 4.37106 12.312 4.4379 12.4535C5.10235 13.8531 5.90245 14.9749 6.83819 15.8188L4.9786 17.6777C4.95225 17.7041 4.93745 17.7399 4.93745 17.7771C4.93745 17.8144 4.95225 17.8502 4.9786 17.8765L5.72901 18.627C5.75538 18.6533 5.79114 18.6681 5.82842 18.6681C5.8657 18.6681 5.90145 18.6533 5.92782 18.627L18.4463 6.10922C18.4593 6.09616 18.4697 6.08065 18.4768 6.06358C18.4839 6.0465 18.4875 6.02821 18.4875 6.00973C18.4875 5.99124 18.4839 5.97295 18.4768 5.95587C18.4697 5.9388 18.4593 5.92329 18.4463 5.91023ZM8.83595 12C8.8359 11.4656 8.97426 10.9404 9.23755 10.4754C9.50084 10.0104 9.88009 9.6215 10.3383 9.34663C10.7966 9.07177 11.3182 8.92028 11.8524 8.90693C12.3866 8.89358 12.9152 9.01883 13.3866 9.27047L12.5319 10.1251C12.1873 10.0148 11.8188 10.0015 11.4671 10.0867C11.1154 10.1719 10.7939 10.3524 10.538 10.6083C10.2821 10.8642 10.1016 11.1857 10.0164 11.5374C9.93116 11.8891 9.94445 12.2576 10.0548 12.6022L9.20017 13.4569C8.96033 13.0088 8.8352 12.5082 8.83595 12V12Z"
      fill="#5E6272"
    />
    <Path
      d="M19.5621 11.5465C18.9434 10.2434 18.2069 9.18076 17.3527 8.35869L14.819 10.8926C15.0326 11.4509 15.0799 12.0591 14.9553 12.6437C14.8307 13.2284 14.5394 13.7644 14.1168 14.1871C13.6941 14.6098 13.158 14.901 12.5734 15.0256C11.9888 15.1502 11.3806 15.1029 10.8223 14.8893L8.67316 17.0384C9.67019 17.4998 10.7791 17.7305 12 17.7305C15.3785 17.7305 17.8992 15.9709 19.5621 12.4518C19.629 12.3102 19.6636 12.1556 19.6636 11.9991C19.6636 11.8426 19.629 11.688 19.5621 11.5465V11.5465Z"
      fill="#5E6272"
    />
  </Svg>
);

export const EyeOpenIcon = (props?: SvgProps) => (
  <Svg width="24" height="24" viewBox="0 0 24 24" fill="none" {...props}>
    <Rect width="24" height="24" rx="12" fill="#F3F3F3" />
    <Path
      d="M9.96095 12C9.96095 12.5221 10.1684 13.0229 10.5376 13.3921C10.9068 13.7613 11.4076 13.9688 11.9297 13.9688C12.4518 13.9688 12.9526 13.7613 13.3218 13.3921C13.691 13.0229 13.8984 12.5221 13.8984 12C13.8984 11.4779 13.691 10.9771 13.3218 10.6079C12.9526 10.2387 12.4518 10.0312 11.9297 10.0312C11.4076 10.0312 10.9068 10.2387 10.5376 10.6079C10.1684 10.9771 9.96095 11.4779 9.96095 12ZM19.5621 11.5465C17.8957 8.03613 15.3768 6.26953 12 6.26953C8.62149 6.26953 6.10431 8.03613 4.4379 11.5482C4.37106 11.6898 4.3364 11.8444 4.3364 12.0009C4.3364 12.1574 4.37106 12.312 4.4379 12.4535C6.10431 15.9639 8.62325 17.7305 12 17.7305C15.3785 17.7305 17.8957 15.9639 19.5621 12.4518C19.6975 12.167 19.6975 11.8365 19.5621 11.5465ZM11.9297 15.0938C10.2211 15.0938 8.83595 13.7086 8.83595 12C8.83595 10.2914 10.2211 8.90625 11.9297 8.90625C13.6383 8.90625 15.0234 10.2914 15.0234 12C15.0234 13.7086 13.6383 15.0938 11.9297 15.0938Z"
      fill="#5E6272"
    />
  </Svg>
);
